ChangeSet 1.1500.2.170, 2004/02/06 14:19:05-08:00, shemminger@osdl.org

[PATCH] USB: uhci - unused urbp element

The usb device member in the urb private structure is redundant,
it is set but never used.


 drivers/usb/host/uhci-hcd.c |    1 -
 drivers/usb/host/uhci-hcd.h |    1 -
 2 files changed, 2 deletions(-)


diff -Nru a/drivers/usb/host/uhci-hcd.c b/drivers/usb/host/uhci-hcd.c
--- a/drivers/usb/host/uhci-hcd.c	Mon Feb  9 14:37:21 2004
+++ b/drivers/usb/host/uhci-hcd.c	Mon Feb  9 14:37:21 2004
@@ -668,7 +668,6 @@
 	urbp->inserttime = jiffies;
 	urbp->fsbrtime = jiffies;
 	urbp->urb = urb;
-	urbp->dev = urb->dev;
 	
 	INIT_LIST_HEAD(&urbp->td_list);
 	INIT_LIST_HEAD(&urbp->queue_list);
diff -Nru a/drivers/usb/host/uhci-hcd.h b/drivers/usb/host/uhci-hcd.h
--- a/drivers/usb/host/uhci-hcd.h	Mon Feb  9 14:37:21 2004
+++ b/drivers/usb/host/uhci-hcd.h	Mon Feb  9 14:37:21 2004
@@ -372,7 +372,6 @@
 	struct list_head urb_list;
 
 	struct urb *urb;
-	struct usb_device *dev;
 
 	struct uhci_qh *qh;		/* QH for this URB */
 	struct list_head td_list;	/* P: urb->lock */
